.ann-title {
	font-size: 1.1rem;
    display: -webkit-box;
    -webkit-line-clamp: 2; 
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
    min-height: calc(1.2em * 2); 
    line-height: 1.2em;
}

.ann-description {
    display: -webkit-box;
    -webkit-line-clamp: 3;     
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
    line-height: 1.3em;       
    max-height: calc(1.3em * 3);
	min-height: calc(1.3em * 3);
    margin: 0;                
}



.selectable {
    cursor: pointer;
    transition: background-color 0.3s ease;
}

.selectable.selected {
    background-color: var(--primary);
    color: var(--white);
}

.selectable-caracteristicas {
	width:150px;
	height:120px;
}

#modalDetailFilter .modal-body {
    max-height: 80vh;
    overflow-y: auto;
}

.form-check-input:checked {
    background-color: var(--primary) !important;
    border-color:#FCC !important;
}

.page-link {
	color:#333;
}
.active>.page-link, .page-link.active {
	background-color:var(--primary) !important;
	border-color:var(--primary) !important;
	color:var(--white) !important;
}

#ui-datepicker-div {
    z-index: 9999 !important;
}


.no-results-container {
	display: flex;
	align-items: center;
	justify-content: center;
	border: 1px solid var(--primary);
	border-radius: 8px;
	background-color:#FCF;
	max-width: 800px;
	margin: 50px auto;
}

.no-results-image {
	flex: 0 0 180px;
	margin-right: 20px;
}

.no-results-image img {
	width: 100%;
	border-radius: 8px;
}

.no-results-text {
	flex: 1;
}

.no-results-text h2 {
	font-size: 24px;
	color: #333;
	margin-bottom: 10px;
}

.no-results-text p {
	font-size: 16px;
	color: #666;
	margin-bottom: 20px;
}

#btnGuardarBusqueda.disabled {
    opacity: 0.6;
    cursor: default !important;
}